//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//						(c) 1997 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	ServiceF90cxxGlue.h	--- the Fortran90/C++ interface of selector-services
//
//	DESCRIPTION:
//		This file acts as the interface between the filter/arrayeval services
//		declared in corresponding f90-modules and their implementation in
//		C++.
//
//	CHANGE HISTORY:
//		UL, 25/03/98: 1.0.0: - skeleton
//		UL, 28/05/98: 1.1.0: - added ArrayEvaluator
//
//	AUTHOR:
//		U. Lammers, Wed Mar 25 11:15:00 MET 1998
//
//
//	$Header: /data/xmm12/cvsadmin/soc_repos/task_devel/packages/selectlib/src/selectservice/ServiceF90cxxGlue.h,v 1.2 1998/06/26 13:19:38 ulammers Exp $
//

#ifndef SERVICE_F90CPP_H
#define SERVICE_F90CPP_H

#include "common.h"
#include "f90cxx.h"
#include "Dal.h"

//

//
extern "C" void CXXFUNC( edusoft, edusoft )
					       ( 
						int   *mode ,
						EDU_PATTERN (*EDU_Pat)[EDU_NPAT] ,
						int   *DX, 
						int   *DY ,
						short *im ,
						short *seuileds ,
						short *offx, 
						short *offy ,
						int   *X0, 
						int   *Y0 ,
						int   *es_nmax ,
						EDU_OUT    *EDU_Out );

extern "C" void CXXFUNC( pat_init, pat_init)
					       (
					       char        TABF90[EDU_NSID][EDU_NSID][EDU_NPAT],
					       EDU_PATTERN EDU_Pat[EDU_NPAT] );

#endif



